<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class ZahlplanValidator
{
  public function validate(KursgebuehrBerechnungsKontext $kgebBerKontext): bool
  {
    $settings = ToolSettingsAPI::getToolSettings(4);

    return $settings->zahlplanberuecksichtigen;
  }

  public function handleInvalid(KursgebuehrBerechnungsKontext $kgebBerKontext): KursgebuehrBerechnungsKontext
  {
    $kgebBerKontext->setStandardZahlplan();

    return $kgebBerKontext;
  }
}